package com.gxwebsoft.apps.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gxwebsoft.common.core.web.PageResult;
import com.gxwebsoft.apps.entity.HualalaShop;
import com.gxwebsoft.apps.param.HualalaShopParam;

import java.util.List;

/**
 * 哗啦啦门店管理Service
 *
 * @author 科技小王子
 * @since 2023-01-12 18:24:44
 */
public interface HualalaShopService extends IService<HualalaShop> {

    /**
     * 分页关联查询
     *
     * @param param 查询参数
     * @return PageResult<HualalaShop>
     */
    PageResult<HualalaShop> pageRel(HualalaShopParam param);

    /**
     * 关联查询全部
     *
     * @param param 查询参数
     * @return List<HualalaShop>
     */
    List<HualalaShop> listRel(HualalaShopParam param);

    /**
     * 根据id查询
     *
     * @param shopId 店铺ID
     * @return HualalaShop
     */
    HualalaShop getByIdRel(Integer shopId);

  List<HualalaShop> listByGeo(HualalaShopParam param);
  void saveGeoPointToRedis();
}
